Amazon Linux 2 : 389-ds-base (ALAS-2021-1723)

critical Nessus Plugin ID 155979

Synopsis

The remote Amazon Linux 2 host is missing a security update.

Description

The version of 389-ds-base installed on the remote host is prior to 1.3.10.2-13. It is, therefore, affected by a vulnerability as referenced in the ALAS2-2021-1723 advisory.

- A flaw was found in 389-ds-base. If an asterisk is imported as password hashes, either accidentally or maliciously, then instead of being inactive, any password will successfully match during authentication.
This flaw allows an attacker to successfully authenticate as a user whose password was disabled.
(CVE-2021-3652)

Note that Nessus has not tested for this issue but has instead relied only on the application's self-reported version number.

Solution

Run 'yum update 389-ds-base' to update your system.

See Also

https://access.redhat.com/security/cve/CVE-2021-3652

https://alas.aws.amazon.com/AL2/ALAS-2021-1723.html

Plugin Details

Severity: Critical

ID: 155979

File Name: al2_ALAS-2021-1723.nasl

Version: 1.3

Type: local

Agent: unix

Published: 12/10/2021

Updated: 5/3/2022

Supported Sensors: Frictionless Assessment AWS, Frictionless Assessment Agent, Nessus Agent

Risk Information

CVSS Score Source: CVE-2021-3652

VPR

Risk Factor: Medium

Score: 5.9

CVSS v2

Risk Factor: High

Base Score: 7.5

Temporal Score: 5.5

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P

Temporal Vector: CVSS2#E:U/RL:OF/RC:C

CVSS v3

Risk Factor: Critical

Base Score: 9.8

Temporal Score: 8.5

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H

Temporal Vector: CVSS:3.0/E:U/RL:O/RC:C

Vulnerability Information

CPE: cpe:2.3:o:amazon:linux:2:*:*:*:*:*:*:*, p-cpe:2.3:a:amazon:linux:389-ds-base:*:*:*:*:*:*:*, p-cpe:2.3:a:amazon:linux:389-ds-base-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:amazon:linux:389-ds-base-devel:*:*:*:*:*:*:*, p-cpe:2.3:a:amazon:linux:389-ds-base-libs:*:*:*:*:*:*:*, p-cpe:2.3:a:amazon:linux:389-ds-base-snmp:*:*:*:*:*:*:*

Required KB Items: Host/local_checks_enabled, Host/AmazonLinux/release, Host/AmazonLinux/rpm-list

Exploit Ease: No known exploits are available

Patch Publication Date: 12/8/2021

Vulnerability Publication Date: 8/10/2021

Reference Information

CVE: CVE-2021-3652

ALAS: 2021-1723